# circuits.node.events module

class circuits.node.events.connected_to(connection_name, hostname, port, client_channel, client_obj)

  Bases: `Event`

  Connected to a peer

  Parameters:

    - connection_name (str) – Connection name.

    - hostname (str) – hostname of the remote system.

    - port (int) – connection port of the remote system.

    - client_channel (str) – Channel used for client event.

    - client_obj (`circuits.net.sockets.Client`) – Client object.

class circuits.node.events.disconnected_from(connection_name, hostname, port, client_channel, client_obj)

  Bases: `connected_to`

  Disconnected from a peer

  Parameters:

    - connection_name (str) – Connection name.

    - hostname (str) – hostname of the remote system.

    - port (int) – connection port of the remote system.

    - client_channel (str) – Channel used for client event.

    - client_obj (`circuits.net.sockets.Client`) – Client object.

class circuits.node.events.remote(event, connection_name, channel=None)

  Bases: `Event`

  send event to a peer

  Parameters:

    - event (`circuits.core.events.Event`) – Event to execute remotely.

    - connection_name (str) – Connection name.

    - channel (str) – Remote channel (channel to use on peer).